Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex
Class TREXBaseReader.StateFactory

    java.lang.Object
      com.sun.msv.reader.trex.TREXBaseReader.StateFactory

Direct Known Subclasses:
  RELAXNGReader.StateFactory, TREXGrammarReader.StateFactory

Enclosing class:
  TREXBaseReader

public abstract static class TREXBaseReader.StateFactory
extends java.lang.Object

creates various State object, which in turn parses grammar. parsing behavior can be customized by implementing custom StateFactory.

Constructor Summary
`TREXBaseReader.StateFactory()`

Method Summary
`State` | `attribute(State parent, StartTagInfo tag)`
`State` | `choice(State parent, StartTagInfo tag)`
`TREXGrammar` | `createGrammar(ExpressionPool pool, TREXGrammar parent)`
`abstract State` | `define(State parent, StartTagInfo tag)`
`State` | `divInGrammar(State parent, StartTagInfo tag)`
`State` | `element(State parent, StartTagInfo tag)`
`State` | `empty(State parent, StartTagInfo tag)`
`State` | `grammar(State parent, StartTagInfo tag)`
`State` | `group(State parent, StartTagInfo tag)`
`State` | `includedGrammar()`
`State` | `includeGrammar(State parent, StartTagInfo tag)`
`State` | `interleave(State parent, StartTagInfo tag)`
`State` | `mixed(State parent, StartTagInfo tag)`
`State` | `notAllowed(State parent, StartTagInfo tag)`
`State` | `nsAnyName(State parent, StartTagInfo tag)`
`State` | `nsChoice(State parent, StartTagInfo tag)`
`State` | `nsDifference(State parent, StartTagInfo tag)`
`State` | `nsName(State parent, StartTagInfo tag)`
`State` | `nsNot(State parent, StartTagInfo tag)`
`State` | `nsNsName(State parent, StartTagInfo tag)`
`State` | `oneOrMore(State parent, StartTagInfo tag)`
`State` | `optional(State parent, StartTagInfo tag)`
`State` | `ref(State parent, StartTagInfo tag)`
`State` | `start(State parent, StartTagInfo tag)`
`State` | `zeroOrMore(State parent, StartTagInfo tag)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TREXBaseReader.StateFactory

    public TREXBaseReader.StateFactory()

Method Detail

### nsName

    public State nsName(State parent,
                        StartTagInfo tag)

### nsAnyName

    public State nsAnyName(State parent,
                           StartTagInfo tag)

### nsNsName

    public State nsNsName(State parent,
                          StartTagInfo tag)

### nsNot

    public State nsNot(State parent,
                       StartTagInfo tag)

### nsDifference

    public State nsDifference(State parent,
                              StartTagInfo tag)

### nsChoice

    public State nsChoice(State parent,
                          StartTagInfo tag)

### element

    public State element(State parent,
                         StartTagInfo tag)

### attribute

    public State attribute(State parent,
                           StartTagInfo tag)

### group

    public State group(State parent,
                       StartTagInfo tag)

### interleave

    public State interleave(State parent,
                            StartTagInfo tag)

### choice

    public State choice(State parent,
                        StartTagInfo tag)

### optional

    public State optional(State parent,
                          StartTagInfo tag)

### zeroOrMore

    public State zeroOrMore(State parent,
                            StartTagInfo tag)

### oneOrMore

    public State oneOrMore(State parent,
                           StartTagInfo tag)

### mixed

    public State mixed(State parent,
                       StartTagInfo tag)

### empty

    public State empty(State parent,
                       StartTagInfo tag)

### notAllowed

    public State notAllowed(State parent,
                            StartTagInfo tag)

### includeGrammar

    public State includeGrammar(State parent,
                                StartTagInfo tag)

### grammar

    public State grammar(State parent,
                         StartTagInfo tag)

### start

    public State start(State parent,
                       StartTagInfo tag)

### define

    public abstract State define(State parent,
                                 StartTagInfo tag)

### ref

    public State ref(State parent,
                     StartTagInfo tag)

### divInGrammar

    public State divInGrammar(State parent,
                              StartTagInfo tag)

### createGrammar

    public TREXGrammar createGrammar(ExpressionPool pool,
                                     TREXGrammar parent)

### includedGrammar

    public State includedGrammar()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD